package com.jsowell.pile.service.impl;

import java.util.List;

import com.jsowell.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jsowell.pile.mapper.ThirdPartyPlatformConfigMapper;
import com.jsowell.pile.domain.ThirdPartyPlatformConfig;
import com.jsowell.pile.service.IThirdPartyPlatformConfigService;

/**
 * 对接平台配置信息Service业务层处理
 *
 * @author jsowell
 * @date 2023-05-27
 */
@Service
public class ThirdPartyPlatformConfigServiceImpl implements IThirdPartyPlatformConfigService {
    @Autowired
    private ThirdPartyPlatformConfigMapper thirdPartyPlatformConfigMapper;

    /**
     * 查询对接平台配置信息
     *
     * @param id 对接平台配置信息主键
     * @return 对接平台配置信息
     */
    @Override
    public ThirdPartyPlatformConfig selectThirdPartyPlatformConfigById(Integer id) {
        return thirdPartyPlatformConfigMapper.selectThirdPartyPlatformConfigById(id);
    }

    /**
     * 查询对接平台配置信息列表
     *
     * @param thirdPartyPlatformConfig 对接平台配置信息
     * @return 对接平台配置信息
     */
    @Override
    public List<ThirdPartyPlatformConfig> selectThirdPartyPlatformConfigList(ThirdPartyPlatformConfig thirdPartyPlatformConfig) {
        return thirdPartyPlatformConfigMapper.selectThirdPartyPlatformConfigList(thirdPartyPlatformConfig);
    }

    /**
     * 新增对接平台配置信息
     *
     * @param thirdPartyPlatformConfig 对接平台配置信息
     * @return 结果
     */
    @Override
    public int insertThirdPartyPlatformConfig(ThirdPartyPlatformConfig thirdPartyPlatformConfig) {
        thirdPartyPlatformConfig.setCreateTime(DateUtils.getNowDate());
        return thirdPartyPlatformConfigMapper.insertThirdPartyPlatformConfig(thirdPartyPlatformConfig);
    }

    /**
     * 修改对接平台配置信息
     *
     * @param thirdPartyPlatformConfig 对接平台配置信息
     * @return 结果
     */
    @Override
    public int updateThirdPartyPlatformConfig(ThirdPartyPlatformConfig thirdPartyPlatformConfig) {
        thirdPartyPlatformConfig.setUpdateTime(DateUtils.getNowDate());
        return thirdPartyPlatformConfigMapper.updateThirdPartyPlatformConfig(thirdPartyPlatformConfig);
    }

    /**
     * 批量删除对接平台配置信息
     *
     * @param ids 需要删除的对接平台配置信息主键
     * @return 结果
     */
    @Override
    public int deleteThirdPartyPlatformConfigByIds(Integer[] ids) {
        return thirdPartyPlatformConfigMapper.deleteThirdPartyPlatformConfigByIds(ids);
    }

    /**
     * 删除对接平台配置信息信息
     *
     * @param id 对接平台配置信息主键
     * @return 结果
     */
    @Override
    public int deleteThirdPartyPlatformConfigById(Integer id) {
        return thirdPartyPlatformConfigMapper.deleteThirdPartyPlatformConfigById(id);
    }

    /**
     * 通过operatorId查询配置信息
     *
     * @param operatorId
     * @return
     */
    @Override
    public ThirdPartyPlatformConfig getInfoByOperatorId(String operatorId) {
        return thirdPartyPlatformConfigMapper.getInfoByOperatorId(operatorId);
    }
}
